## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.commands
Class CreateJoinCommand

    java.lang.Object
      org.eclipse.gef.commands.Command
          org.eclipse.datatools.sqltools.sqlbuilder.views.graph.commands.CreateJoinCommand

    public class CreateJoinCommand

extends org.eclipse.gef.commands.Command

Constructor Summary
`CreateJoinCommand()`

Method Summary
`boolean` `canExecute()`
`void` `execute()`
`void` `setSelectStatement(QuerySelect statement)`
`void` `setSourceColumn(ValueExpressionColumn column)`
`void` `setSourceTable(TableExpression table)`
`void` `setTargetColumn(ValueExpressionColumn column)`
`void` `setTargetTable(TableExpression table)`
`void` `undo()`

Methods inherited from class org.eclipse.gef.commands.Command
`canUndo, chain, dispose, getDebugLabel, getLabel, redo, setDebugLabel, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateJoinCommand

    public CreateJoinCommand()

Method Detail

### setSelectStatement

    public void setSelectStatement(QuerySelect statement)

### setSourceColumn

    public void setSourceColumn(ValueExpressionColumn column)

### setTargetColumn

    public void setTargetColumn(ValueExpressionColumn column)

### setSourceTable

    public void setSourceTable(TableExpression table)

### setTargetTable

    public void setTargetTable(TableExpression table)

### undo

    public void undo()

  Overrides:
    `undo` in class `org.eclipse.gef.commands.Command`

### canExecute

    public boolean canExecute()

  Overrides:
    `canExecute` in class `org.eclipse.gef.commands.Command`

### execute

    public void execute()

  Overrides:
    `execute` in class `org.eclipse.gef.commands.Command`